apiVersion: v1
kind: ConfigMap
metadata:
  name: traccar-config
data:
  traccar.xml: |
    <?xml version='1.0' encoding='UTF-8'?>
    <!DOCTYPE properties SYSTEM 'http://java.sun.com/dtd/properties.dtd'>
    <properties>
        <entry key='config.default'>./conf/default.xml</entry>
        <entry key='database.driver'>com.mysql.cj.jdbc.Driver</entry>
        <entry key='database.url'>jdbc:mysql://mariadb:3306/traccar?serverTimezone=UTC&amp;useSSL=false&amp;allowMultiQueries=true&amp;autoReconnect=true&amp;useUnicode=yes&amp;characterEncoding=UTF-8&amp;sessionVariables=sql_mode=''</entry>
        <entry key='database.user'>traccar</entry>
        <entry key='database.password'>J0ICsL5JTPLt</entry>
        <entry key='server.statistics'>http://localhost</entry>
        <entry key='geocoder.enable'>true</entry>
        <entry key='geocoder.type'>nominatim</entry>
        <entry key='geocoder.url'>https://nominatim.openstreetmap.org/reverse</entry>
    </properties>
